PHP Manualen
forrige |  | næste

# SDO_Sequence::insert

(no version information, might be only in CVS)

SDO_Sequence::insert -- Insert into a sequence.

## Beskrivelse

void SDO_Sequence::insert ( mixed value [, int sequenceIndex [, mixed propertyIdentifier]] )

Advarsel
Denne funktion er EKSPERIMENTABEL. Virkemåden af denne funktion, navnet på funktionen, og andet ellers dokumenteret om denne funktion, ændres muligvis uden advarsel i en fremtidig version af PHP. Brug af denne funktion er på ejet ansvar.

Insert a new element at a specified position in the sequence. All subsequent sequence items are moved up.

## Parameterliste

value

  The new value to be inserted. This can be either a primitive or an SDO_DataObject.

sequenceIndex

  The position at which to insert the new element. Default is NULL, which results in the new value being appended to the sequence.

propertyIdentifier

  Either a property index or property name, used to identify a property in the sequence's corresponding SDO_DataObject. A value of NULL signifies unstructured text.

## Returneringsværdier

None.

## Exceptions

SDO_IndexOutOfBoundsException

  Thrown if the sequence index is less than zero or greater than the size of the sequence.

SDO_InvalidConversionException

  Thrown if the type of the new value cannot be juggled to match the type for the specified data object property.

forrige | hjem | næste
SDO_Sequence::getPropertyName | op | SDO_Sequence::move